<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
 
    if(!isset($_SESSION["mailcli"]))
    {
      
      echo "<div class='cache'> <p align='right' style='padding-right:22px;'>"; //debut en-tête
      
      // Variables de session 
      
      if( empty( $_SESSION["mailcli"] ) ) //si les sessions sont vides
      {
        echo '<a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=fr">Fr</a> | <a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=en">En</a> &#160;&#160;&#160;&#160;
        <strong> <a href="'.$AdresseFreePay.'support/client/client_ajouter.php">'.$OuvrirUnCompte[$lang].'</a> </strong> | 
        <a href="'.$AdresseFreePay.'support/client/connexion.php">'.$Connexion[$lang].'</a> |
        <a href="'.$AdresseFreePay.'support/mail.php?destinataire=info@'.$_SERVER['HTTP_HOST'].'">'.$Aide[$lang].'</a>';
      }
    
      echo "</p>";
      
      //Mon Logo
  
      echo '<p class="logo">     
        <a href="'.$AdresseFreePay.'">
        <img id=\'logo\' src="'.$AdresseFreePay.'images/logo_blue_'.$lang.'.PNG" alt="'.$Logo[$lang].'" />
        </a>
      </p>';
  
      
      include("../../menu.php"); //inclue aussi le menu
      
      echo "</div>";  
       
      
      echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
      
      echo '<form action="'.$AdresseFreePay.'support/client/client_ajouter.php" method="post" onsubmit="return client_verification();">
      
      <h4 class="titre">'.$OuvrirUnCompte[$lang].'</h4>
      
      <p>'.$DejaUnCompte[$lang].' ';
      
      if(isset($mailcli) and isset($mdpcli)) {
        echo '<a href="connexion.php?mailcli='.$mailcli.'&mdpcli='.$mdpcli.'">'.$Identifier[$lang].'</a>.</p>';
      }else{
        if(isset($mailcli)){
          echo '<a href="connexion.php?mailcli='.$mailcli.'">'.$Identifier[$lang].'</a>.</p>';
        }
        if(isset($mdpcli)){
          echo '<a href="connexion.php?mdpcli='.$mdpcli.'">'.$Identifier[$lang].'</a>.</p>';
        }
        if(!isset($mailcli) and !isset($mdpcli)){
          echo '<a href="connexion.php">'.$Identifier[$lang].'</a>.</p>';
        }
      }
      
      if(!empty($_POST['mailcli']))
      {
        // si le mail ne contient pas un @ et un point
        if (!strpos($_POST['mailcli'], '@') or !strpos($_POST['mailcli'], '.'))
        {
          echo "<p class='erreur'>Veuillez indiquer un mail valide.</p>";
        }
        
        if(empty($_POST['mdpcli']))
        {
          echo "<p class='erreur'>Veuillez indiquer un mot de passe.</p>";
        }
        
        if($ExistMailCli)
        {
          echo "<p class='erreur'>L'identifiant <strong>".$_POST['mailcli']."</strong> existe déja. Veuillez en choisir un autre.</p>";
        }
        
        if(!mysql_select_db($base,$connexion)){
          echo "<p class='erreur'>La base '$base' n'est pas installé dans MySQL via phpMyAdmin.</p>";
        }
      }
    
      echo '
      <map id="client_ajouterid">
      <table>
      
        <tr>
          <td class="historique"
                    onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"
                    >'.$AdresseCourriel[$lang].'</td>
          <td><input type="text" name="mailcli" id="mailcli" size="30" ';
              if(isset($mailcli)){ echo ' value="'.$mailcli.'" ';} echo '/></td>
        </tr>
        
        <tr>
          <td class="historique"
                    onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"
                    >'.$MotDePasse[$lang].'</td>
          <td><input type="password" name="mdpcli" id="mdpcli" size="30" ';
              if(isset($mdpcli)){ echo ' value="'.$mdpcli.'" ';} echo '/></td>
        </tr>
        
        <tr>
          <td class="historique"
                    onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"
                    >'.$Pays[$lang].'</td>';
            
          if(isset($numpayscli)){
            $SelectPays = $TCodePays[$numpayscli];
          }else{
            $SelectPays = "FR";
          }
          
          echo'
          <td>
            <label>
              <select name="numpayscli">';
                for($p=0;$p<=$NbTotalPaysECBS;$p++){
                  echo '<option value="'.$p.'"'; 
                    if($SelectPays == $TCodePays[$p]){
                      echo ' selected="selected"';
                    }
                  echo'>'.$TNomPays[$p].'</option>
                  ';
                } echo' 
              </select>
            </label>
          </td>
        </tr>
        
        <tr>
          <td></td><td><input type="submit" value="'.$BoutonEnvoyer[$lang].'" /><input type="reset" value="'.$BoutonAnnuler[$lang].'" /></td>
        </tr>
      </table>
      </map>
      
      <br/>
      
      </form>';
      
      //Focus sur le champs du courriel en javascript
      echo '<script type="text/javascript">document.getElementById("mailcli").focus();</script>';
      
      //Vérification du mailcli et du mdpcli
      echo '<script type="text/javascript" src="client_verification.js"></script>';
      

	echo'</div>'; // fin du corps de la page
    include("../../nav_bas.php"); // Inclure le bas de la page 
  }

?>
